Index: trunk/SRC/Colors/color24.pro
===================================================================
--- trunk/SRC/Colors/color24.pro	(revision 236)
+++ trunk/SRC/Colors/color24.pro	(revision 237)
@@ -4,5 +4,6 @@
 ; The purpose of this function is to convert a RGB color triple
 ; into the equivalent 24-big long integer.
-; This routine was written to be used with routines like COLORS or
+; This routine was written to be used with routines like
+; COLORS <!--++ COLORS is not a routine--> or
 ; <pro>GETCOLOR</pro>.
 ;
Index: trunk/SRC/Colors/xlct.pro
===================================================================
--- trunk/SRC/Colors/xlct.pro	(revision 236)
+++ trunk/SRC/Colors/xlct.pro	(revision 237)
@@ -1,4 +1,6 @@
 ;+
+;
 ; @hidden
+;
 ;-
 ;
@@ -397,7 +399,8 @@
 
 ;+
+;
 ; @file_comments
-; Like xloadct but fastest to write and call by default the palette
-; palette.tbl which can be in any directory
+; Like <proidl>xloadct<proidl> but fastest to write and call by default 
+; the palette palette.tbl which can be in any directory
 ;
 ; @categories
@@ -467,5 +470,5 @@
 ;
 ;-
-
+;
 PRO xlct, SILENT=silent_f, GROUP=group, FILE=file, $
           USE_CURRENT=use_current, NCOLORS = nc, BOTTOM=bottom, $
Index: trunk/SRC/Colors/xpal.pro
===================================================================
--- trunk/SRC/Colors/xpal.pro	(revision 236)
+++ trunk/SRC/Colors/xpal.pro	(revision 237)
@@ -439,8 +439,9 @@
 ;
 ; @file_comments
-; like xpalette but shorter to write and, moreover,
+; Like <proidl>xpalette</proidl> but shorter to write and, moreover,
 ; possess a hotkey save which (thanks to the newpalette routine)
 ; allows to save the routine that we have just done. Comment: when we
-; press the predefined hotkey, it calls xlct instead of xloadct
+; press the predefined hotkey, it calls <pro>xlct</pro> instead of 
+; <proidl>xloadct</proidl>
 ; No explicit inputs.  The current color table is used as a starting point.
 ;
@@ -448,5 +449,6 @@
 ; Color, Widget
 ;
-; @uses XP_COM: Private to this module.
+; @uses XP_COM
+; Private to this module.
 ;
 ; @restrictions
@@ -582,11 +584,10 @@
 ;
 ;-
-pro xpal, GROUP=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
+;
+PRO xpal, GROUP=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
         UPDATECBDATA=updt_cb_data
 ;
   compile_opt idl2, strictarrsubs
 ;
-
-
   common xp_com, xpw, state
   common colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
Index: trunk/SRC/Documentation/xmldoc/pro2href.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/pro2href.sh	(revision 236)
+++ trunk/SRC/Documentation/xmldoc/pro2href.sh	(revision 237)
@@ -53,10 +53,10 @@
              else
                 nblev=$(echo ${fpath} |  sed -e "s@/\$@@" | awk -F "/" '{print NF}')
-                nblev=$(( ${nblev} + 1))
-                relpath="./"
+           #     nblev=$(( ${nblev} + 1))
+                relpath=""
                 ilev=1
                 while [ ${ilev} -le ${nblev} ]
                 do
-                   relpath="${relpath}/.."
+                   relpath="${relpath}../"
                    ilev=$(( ${ilev} + 1 ))
                 done
Index: trunk/SRC/Grid/computegrid.pro
===================================================================
--- trunk/SRC/Grid/computegrid.pro	(revision 236)
+++ trunk/SRC/Grid/computegrid.pro	(revision 237)
@@ -212,17 +212,20 @@
 ;
 ; @keyword _EXTRA
-;    (not used in the present case...)
-;
-; @uses cm_4mesh cm_4data cm_4cal
-;
-; @restrictions if the grid has x/y periodicity overlap and/or if
-;    the mask has 0 everywhere at the border (like a close sea) and
+; not used in the present case ...
+;
+; @uses 
+; cm_4mesh cm_4data cm_4cal
+;
+; @restrictions 
+; if the grid has x/y periodicity overlap and/or if
+;    the mask has 0 everywhere at the border (like a closed sea) and
 ;    if (we did not activate /plain and xminmesh, xmaxmesh, yminmesh,
 ;    ymaxmesh keywords are defined to their default values), we redefine
 ;    xminmesh, xmaxmesh, yminmesh, ymaxmesh in order to reove the
-;    overlapping part and/or to open the domain (avoid ti be forced
+;    overlapping part and/or to open the domain (avoid it be forced
 ;    to use cell_fill = 1).
 ;
-; @restrictions FUV points definition is not exact if the grid is irregular
+; @restrictions 
+; FUV points definition is not exact if the grid is irregular
 ;
 ; @history
Index: trunk/SRC/Grid/micromeshmask.pro
===================================================================
--- trunk/SRC/Grid/micromeshmask.pro	(revision 236)
+++ trunk/SRC/Grid/micromeshmask.pro	(revision 237)
@@ -53,4 +53,5 @@
 ;
 ;-
+;
 PRO micromeshmask, ncfilein, ncfileout, IODIR = iodir
 ;
Index: trunk/SRC/Matrix/cmapply.pro
===================================================================
--- trunk/SRC/Matrix/cmapply.pro	(revision 236)
+++ trunk/SRC/Matrix/cmapply.pro	(revision 237)
@@ -6,11 +6,11 @@
 ; @param X
 ;
-;
-; @version $Id$
+; @version 
+; $Id$
 ;
 ; @todo seb
 ;-
 ;
-function cmapply_product, x
+FUNCTION cmapply_product, x
 ;
   compile_opt idl2, strictarrsubs
@@ -29,4 +29,5 @@
 
 ;+
+;
 ; @file_comments
 ; cmapply_redim : Utility function, used to collect collaped dimensions
@@ -34,24 +35,19 @@
 ; @param newarr
 ;
-;
 ; @param dimapply
 ;
-;
 ; @param dimkeep
 ;
-;
 ; @param nkeep
 ;
-;
 ; @param totcol
 ;
-;
 ; @param totkeep
 ;
-;
 ; @todo seb
+;
 ;-
 ;
-pro cmapply_redim, newarr, dimapply, dimkeep, nkeep, totcol, totkeep
+PRO cmapply_redim, newarr, dimapply, dimkeep, nkeep, totcol, totkeep
 ;
   compile_opt idl2, strictarrsubs
@@ -78,5 +74,5 @@
 end
 
-;; Main function
+;Main function
 ;+
 ;
@@ -237,5 +233,6 @@
 ;
 ;-
-function cmapply, op, array, dimapply, double=dbl, type=type, $
+;
+FUNCTION cmapply, op, array, dimapply, double=dbl, type=type, $
                   functargs=functargs, nocatch=nocatch
 ;
Index: trunk/SRC/Matrix/cmset_op.pro
===================================================================
--- trunk/SRC/Matrix/cmset_op.pro	(revision 236)
+++ trunk/SRC/Matrix/cmset_op.pro	(revision 237)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @hidden
 ;
@@ -7,7 +8,8 @@
 ;
 ; @todo seb
+;
 ;-
 ;
-function cmset_op_uniq, a
+FUNCTION cmset_op_uniq, a
 ;
   compile_opt idl2, strictarrsubs
@@ -129,5 +131,6 @@
 ;  SET_UTILS.PRO by RSI
 ;
-; @history Written, CM, 23 Feb 2000
+; @history 
+; Written, CM, 23 Feb 2000
 ;   Added empty set capability, CM, 25 Feb 2000
 ;   Documentation clarification, CM 02 Mar 2000
@@ -160,5 +163,6 @@
 ;   craigm\@lheamail.gsfc.nasa.gov
 ;
-; @version $Id$
+; @version 
+; $Id$
 ;
 ; @examples
@@ -192,7 +196,6 @@
 ;
 ;-
-
-
-function cmset_op, a, op0, b, not1=not1, not2=not2, count=count, $
+;
+FUNCTION cmset_op, a, op0, b, not1=not1, not2=not2, count=count, $
               empty1=empty1, empty2=empty2, maxarray=ma, index=index
 ;
Index: trunk/SRC/Matrix/inter.pro
===================================================================
--- trunk/SRC/Matrix/inter.pro	(revision 236)
+++ trunk/SRC/Matrix/inter.pro	(revision 237)
@@ -7,17 +7,23 @@
 ; Calculation
 ;
-; @param a {in}{required} arrays of positive integers, which need not to be
+; @param a {in}{required} 
+; arrays of positive integers, which need not to be
 ; sorted. Duplicate elements are ignored, as they have no effect on the
 ; result
 ;
-; @param b {in}{required} see a
+; @param b {in}{required} 
+; see a
 ;
-; @returns tableau
+; @returns
+; tableau
 ;
-; @restrictions The empty set is denoted by an array with the first element equal to
+; @restrictions 
+; The empty set is denoted by an array with the first element equal to
 ; -1.
 ;
-; @restrictions These functions will not be efficient on sparse sets with wide
-; ranges, as they trade memory for efficiency. The HISTOGRAM function
+; @restrictions 
+; These functions will not be efficient on sparse sets with wide
+; ranges, as they trade memory for efficiency. 
+; The <proidl>HISTOGRAM</proidl> function
 ; is used, which creates arrays of size equal to the range of the
 ; resulting set.
Index: trunk/SRC/Matrix/union.pro
===================================================================
--- trunk/SRC/Matrix/union.pro	(revision 236)
+++ trunk/SRC/Matrix/union.pro	(revision 237)
@@ -12,5 +12,6 @@
 ;               effect on the result
 ;
-; @param b {in}{required} see a
+; @param b {in}{required} 
+; see a
 ;
 ; @returns
@@ -20,6 +21,8 @@
 ; The empty set is denoted by an array with the first element equal to -1.
 ;
-; @restrictions These functions will not be efficient on sparse sets with wide
-; ranges, as they trade memory for efficiency. The HISTOGRAM function
+; @restrictions 
+; These functions will not be efficient on sparse sets with wide
+; ranges, as they trade memory for efficiency. 
+; The <proidl>HISTOGRAM</proidl> function
 ; is used, which creates arrays of size equal to the range of the
 ; resulting set.
Index: trunk/SRC/Matrix/zero_one.pro
===================================================================
--- trunk/SRC/Matrix/zero_one.pro	(revision 236)
+++ trunk/SRC/Matrix/zero_one.pro	(revision 237)
@@ -1,22 +1,28 @@
 ;+
-; @file_comments 
+; @file_comments
 ; Send back a vector or a matrix constituted of 0 and 1 in alternation
 ;
-; @categories 
+; @categories
 ; Function, Matrix
 ;
-; @param n1 {in}{required} number of elements in the first dimension
-; @param n2 {in}{required} number of elements in the second dimension
+; @param n1 {in}{required}
+; number of elements in the first dimension
 ;
-; @returns result
-; 
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @param n2 {in}{required}
+; number of elements in the second dimension
+;
+; @returns
+; result
+;
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       1/12/98
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
 ;
-function zero_one, n1,n2
+FUNCTION zero_one, n1,n2
 ;
   compile_opt idl2, strictarrsubs
@@ -24,5 +30,5 @@
    CASE N_PARAMS() OF
       1:return, findgen(n1) mod 2
-      2:BEGIN 
+      2:BEGIN
          if fix(n1/2) EQ n1/2. then BEGIN ;even number of columns
             res = findgen(n1+1,n2) mod 2
@@ -31,4 +37,4 @@
       END
       else: return,  report('bad number of arguments')
-   endcase            
+   endcase
 end
Index: trunk/SRC/Obsolete/jourdsmois.pro
===================================================================
--- trunk/SRC/Obsolete/jourdsmois.pro	(revision 236)
+++ trunk/SRC/Obsolete/jourdsmois.pro	(revision 237)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; used <pro>daysinmonth</pro> instead
+; use <pro>daysinmonth</pro> instead
 ;
 ; @obsolete
Index: trunk/SRC/ReadWrite/scanctl.pro
===================================================================
--- trunk/SRC/ReadWrite/scanctl.pro	(revision 236)
+++ trunk/SRC/ReadWrite/scanctl.pro	(revision 237)
@@ -92,5 +92,5 @@
    spawn, '\sed -n -e ''/^#/d'' -e ''/^[Xx][Dd][Ee][Ff]/,/^[Yy][Dd][Ee][Ff]/p'' '+filename, xdef
    if xdef[0] EQ '' then BEGIN
-      print, 'Bad definition of xdef or ydef'
+      ras = report('Bad definition of xdef or ydef')
       stop
    ENDIF
@@ -115,5 +115,5 @@
    spawn, '\sed -n -e ''/^#/d'' -e ''/^[Yy][Dd][Ee][Ff]/,/^[Zz][Dd][Ee][Ff]/p'' '+filename, ydef
    if ydef[0] EQ '' then BEGIN
-      print, 'Bad definition of ydef or zdef'
+      ras = report('Bad definition of ydef or zdef')
       stop
    ENDIF
@@ -130,10 +130,10 @@
       'LINEAR':yaxis = float(ydef[3])+findgen(jpj)*float(ydef[4])
       'LEVELS':yaxis = float(ydef[3:n_elements(ydef)-1])
-   'GAUST62':BEGIN & print, 'Not yet coded...' & stop & END
-   'GAUSR15':BEGIN & print, 'Not yet coded...' & stop & END
-   'GAUSR20':BEGIN & print, 'Not yet coded...' & stop & END
-   'GAUSR30':BEGIN & print, 'Not yet coded...' & stop & END
-   'GAUSR40':BEGIN & print, 'Not yet coded...' & stop & END
-   ELSE:BEGIN & print, 'Not yet coded...' & stop & END
+   'GAUST62':BEGIN & ras = report( 'Not yet coded...') & stop & END
+   'GAUSR15':BEGIN & ras = report( 'Not yet coded...') & stop & END
+   'GAUSR20':BEGIN & ras = report( 'Not yet coded...') & stop & END
+   'GAUSR30':BEGIN & ras = report( 'Not yet coded...') & stop & END
+   'GAUSR40':BEGIN & ras = report( 'Not yet coded...') & stop & END
+   ELSE:BEGIN & ras = report( 'Not yet coded...') & stop & END
    endcase
 ;------------------------
@@ -144,5 +144,5 @@
    spawn, '\sed -n -e ''/^#/d'' -e ''/^[Zz][Dd][Ee][Ff]/,/^[Tt][Dd][Ee][Ff]/p'' '+filename, zdef
    if zdef[0] EQ '' then BEGIN
-      print, 'Bad definition of zdef or tdef'
+      ras = report( 'Bad definition of zdef or tdef')
       stop
    ENDIF
@@ -261,7 +261,7 @@
    littleendian = strpos(options, 'little_endian') NE -1
    cray = strpos(options, 'cray_32bit_ieee') NE -1
-IF cray THEN BEGIN & print, 'cray_32bit_ieee; Not yet coded...' & stop & ENDIF
+IF cray THEN BEGIN & ras = report( 'cray_32bit_ieee; Not yet coded...') & stop & ENDIF
    cal365 = strpos(options, '365_day_calendar') NE -1
-IF cal365 THEN BEGIN & print, '365_day_calenda; Not yet coded...' & stop & ENDIF
+IF cal365 THEN BEGIN & ras = report( '365_day_calenda; Not yet coded...') & stop & ENDIF
 ;------------------------
 ;------------------------
@@ -273,6 +273,6 @@
    files = strsplit(files,/extract)
    if n_elements(files) NE 2 then begin
-      print, 'Bad definition of the filename. There should be 2 elements:'
-      print, 'DEST and 1 filename (that may define many files)'
+      ras = report( 'Bad definition of the filename. There should be 2 elements:')
+      ras = report( 'DEST and 1 filename that may define many files')
       stop
    endif
@@ -418,10 +418,10 @@
    spawn, '\sed -n -e ''/^#/d'' -e ''/^[Vv][Aa][Rr][Ss]/,/^[Ee][Nn][Dd][Vv][Aa][Rr][Ss]/p'' '+filename, varlist
    if n_elements(varlist) LE 2  then begin
-      print, 'No lines between vars and endvars???'
+      ras = report( 'No lines between vars and endvars???')
       stop
    endif
    varlist = varlist[1:n_elements(varlist)-2]
    if n_elements(varlist) NE nvars  then begin
-      print, 'Number of variables indicated by VARS ('+strtrim(nvars, 1)+') differs from number of lines (without ''#'' at the beginning) located between VARS and ENDVARS: '+strtrim(n_elements(varlist), 1)
+      ras = report( 'Number of variables indicated by VARS ('+strtrim(nvars, 1)+') differs from number of lines (without ''#'' at the beginning) located between VARS and ENDVARS: '+strtrim(n_elements(varlist), 1))
       stop
    ENDIF
@@ -435,13 +435,13 @@
          case long(strmid(tmp[2], 3, 2)) of
             10:BEGIN
-               print, 'Special data formats, units = -1,10... Not yet coded...'
+               ras = report( 'Special data formats, units = -1,10... Not yet coded...')
                stop
             END
             20:BEGIN
-               print, 'Special data formats, units = -1,20... Not yet coded...'
+               ras = report( 'Special data formats, units = -1,20... Not yet coded...')
                stop
             END
             30:BEGIN
-               print, 'Special data formats, units = -1,30... Not yet coded...'
+               ras = report( 'Special data formats, units = -1,30... Not yet coded...')
                stop
             END
@@ -453,6 +453,6 @@
                   4:varfmt = 'long'
                   ELSE:BEGIN
-                     print, 'Bad definition of the special data formats: '
-                     print,long(strmid(tmp[2],6))+' should be equal to 1, 2, -2 or 4'
+                     ras = report( 'Bad definition of the special data formats: ')
+                     ras = report(long(strmid(tmp[2],6))+' should be equal to 1, 2, -2 or 4')
                      stop
                   END
@@ -460,5 +460,5 @@
             END
             ELSE:BEGIN
-               print, 'Special data formats, units = -1, ... Not yet coded...'
+               ras = report( 'Special data formats, units = -1, ... Not yet coded...')
                stop
             END
Index: trunk/SRC/Tests/TestsOld/tst_basic_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_basic_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_basic_old.pro	(revision 237)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @file_comments
 ; figure 1: basics plots
@@ -7,5 +8,7 @@
 ; Sebastien Masson may 2005
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 PRO tst_basic_old
Index: trunk/SRC/Tests/TestsOld/tst_initlev_index_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_index_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_index_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
Index: trunk/SRC/Tests/TestsOld/tst_initlev_index_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_index_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_index_stride_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
Index: trunk/SRC/Tests/TestsOld/tst_initlev_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
Index: trunk/SRC/Tests/TestsOld/tst_initlev_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initlev_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initlev_stride_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 file = 'Levitus98_1m_01_12_Temperature_Pot_1x1.nc'
 initncdf, file, glamboundary = [20, 380], useasmask = 'votemper' $
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_index_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_index_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_index_old.pro	(revision 237)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @file_comments
 ; definition of the domain on ORCA2 but with i/j index instead of
@@ -5,8 +6,11 @@
 ;
 ; different possibilities are proposed
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_index_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_index_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_index_stride_old.pro	(revision 237)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @file_comments
 ; definition of the domain on ORCA2 but with i/j index instead of
@@ -9,6 +10,9 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 ; 1) definition with a file
 ;
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 @common
 @common
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_short_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_short_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_short_old.pro	(revision 237)
@@ -1,7 +1,10 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_short_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_short_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_short_stride_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = -1 $
Index: trunk/SRC/Tests/TestsOld/tst_initorca05_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca05_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca05_stride_old.pro	(revision 237)
@@ -1,7 +1,10 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version;
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_index_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_index_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_index_old.pro	(revision 237)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @file_comments
 ; definition of the domain on ORCA2 but with i/j index instead of
@@ -5,8 +6,11 @@
 ;
 ; different possibilities are proposed
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_index_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_index_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_index_stride_old.pro	(revision 237)
@@ -12,5 +12,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_old.pro	(revision 237)
@@ -1,7 +1,10 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_short_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_short_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_short_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_short_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_short_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_short_stride_old.pro	(revision 237)
@@ -1,8 +1,12 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 file = 'Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc'
 initncdf, file, glamboundary = [20, 380], xminmesh = 1, xmaxmesh = 180 $
Index: trunk/SRC/Tests/TestsOld/tst_initorca2_stride_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_initorca2_stride_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_initorca2_stride_old.pro	(revision 237)
@@ -1,7 +1,10 @@
 ;+
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/TestsOld/tst_plt_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 237)
@@ -1,8 +1,7 @@
 ;+
+;
 ; @file_comments
 ;
-;
 ; @categories
-; 
 ; 
 ; @keyword IMAGE
@@ -13,7 +12,8 @@
 ; @version 
 ; $Id$
+;
 ;-
+;
 PRO tst_plt_old, IMAGE = image
-; commons
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Tests/TestsOld/tst_pltt_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_pltt_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_pltt_old.pro	(revision 237)
@@ -1,8 +1,7 @@
 ;+
+;
 ; @file_comments
 ;
-;
 ; @categories
-;
 ;
 ; @keyword IMAGE
@@ -13,7 +12,8 @@
 ; @version
 ; $Id$
+;
 ;-
+;
 PRO tst_pltt_old, IMAGE = image
-; commons
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Tests/TestsOld/tst_pltz_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_pltz_old.pro	(revision 236)
+++ trunk/SRC/Tests/TestsOld/tst_pltz_old.pro	(revision 237)
@@ -1,8 +1,7 @@
 ;+
+;
 ; @file_comments
 ;
-;
 ; @categories
-;
 ;
 ; @keyword IMAGE
@@ -13,7 +12,8 @@
 ; @version
 ; $Id$
+;
 ;-
+;
 PRO tst_pltz_old, IMAGE = image
-; commons
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Tests/tst_basic.pro
===================================================================
--- trunk/SRC/Tests/tst_basic.pro	(revision 236)
+++ trunk/SRC/Tests/tst_basic.pro	(revision 237)
@@ -8,5 +8,7 @@
 ; Sebastien Masson may 2005
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initlev_index.pro
===================================================================
--- trunk/SRC/Tests/tst_initlev_index.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initlev_index.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initlev_index_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initlev_index_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initlev_index_stride.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initlev_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initlev_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initlev_stride.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca05.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca05.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca05_index.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_index.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca05_index.pro	(revision 237)
@@ -6,8 +6,11 @@
 ;
 ; different possibilities are proposed
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca05_index_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_index_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca05_index_stride.pro	(revision 237)
@@ -10,6 +10,9 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
+;
 ; 1) definition with a file
 ;
Index: trunk/SRC/Tests/tst_initorca05_short.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_short.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca05_short.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca05_short_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_short_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca05_short_stride.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca05_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca05_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca05_stride.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca2.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca2.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca2_index.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_index.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca2_index.pro	(revision 237)
@@ -6,8 +6,11 @@
 ;
 ; different possibilities are proposed
+;
 ; @history
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca2_index_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_index_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca2_index_stride.pro	(revision 237)
@@ -12,5 +12,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca2_short.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_short.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca2_short.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca2_short_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_short_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca2_short_stride.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_initorca2_stride.pro
===================================================================
--- trunk/SRC/Tests/tst_initorca2_stride.pro	(revision 236)
+++ trunk/SRC/Tests/tst_initorca2_stride.pro	(revision 237)
@@ -4,5 +4,7 @@
 ; Sebastien Masson
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/tst_plt.pro
===================================================================
--- trunk/SRC/Tests/tst_plt.pro	(revision 236)
+++ trunk/SRC/Tests/tst_plt.pro	(revision 237)
@@ -4,5 +4,5 @@
 ;
 ; @categories
-; 
+;
 ; @keyword IMAGE
 ;
@@ -10,10 +10,10 @@
 ; Sebastien Masson
 ;
-; @version 
+; @version
 ; $Id$
+;
 ;-
 ;
 PRO tst_plt, IMAGE = image
-; commons
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Tests/tst_pltt.pro
===================================================================
--- trunk/SRC/Tests/tst_pltt.pro	(revision 236)
+++ trunk/SRC/Tests/tst_pltt.pro	(revision 237)
@@ -12,8 +12,8 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
 PRO tst_pltt, IMAGE = image
-; commons
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Tests/tst_pltz.pro
===================================================================
--- trunk/SRC/Tests/tst_pltz.pro	(revision 236)
+++ trunk/SRC/Tests/tst_pltz.pro	(revision 237)
@@ -12,8 +12,8 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
 PRO tst_pltz, IMAGE = image
-; commons
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 237)
@@ -33,6 +33,7 @@
 ;
 ; @keyword NODOMDEF
-; We activate it if we do not want to pass in domdef even if the keyword
-; boxzoom is present (like when grossemoyenne is called via checkfield)
+; We activate it if we do not want to pass in <pro>domdef</pro> even if the 
+; keyword boxzoom is present (like when <pro>grossemoyenne</pro> is called via 
+; <pro>checkfield</pro>)
 ;
 ; @keyword INTEGRATION
Index: trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 237)
@@ -31,6 +31,7 @@
 ;
 ; @keyword NODOMDEF
-; We activate it if we do not want to pass in domdef even if the keyword boxzoom
-; is present (like when grossemoyenne is called via checkfield)
+; We activate it if we do not want to pass in <pro>domdef</pro> even if the 
+; keyword boxzoom is present (like when <pro>grossemoyenne</pro> is called 
+; via <pro>checkfield</pro>)
 ;
 ; @keyword INTEGRATION
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 237)
@@ -31,7 +31,7 @@
 ;
 ; @examples
-;      IDL> sbar_plot, indgen(10),small = [2,2,2],/rempli
-;      IDL> sbar_plot, indgen(10),small = [2,2,3],/noerase
-;      IDL> \@ps
+; IDL> sbar_plot, indgen(10),small = [2,2,2],/rempli
+; IDL> sbar_plot, indgen(10),small = [2,2,3],/noerase
+; IDL> \@ps
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/scontour.pro	(revision 237)
@@ -18,7 +18,7 @@
 ;
 ; @examples
-;      IDL> z = dist(100)
-;      IDL> scontour, z, nlevels=10,small=[1,2,1],xstyle=1,ystyle=1
-;      IDL> \@ps
+; IDL> z = dist(100)
+; IDL> scontour, z, nlevels=10,small=[1,2,1],xstyle=1,ystyle=1
+; IDL> \@ps
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 237)
@@ -22,7 +22,7 @@
 ;
 ; @examples
-;      IDL> splot, indgen(10),ystyle=1,small=[1,2,1],/portrait
-;      IDL> splot, -indgen(10),ystyle=1,small=[1,2,2],/noerase
-;      IDL> \@ps
+; IDL> splot, indgen(10),ystyle=1,small=[1,2,1],/portrait
+; IDL> splot, -indgen(10),ystyle=1,small=[1,2,2],/noerase
+; IDL> \@ps
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 237)
@@ -2,6 +2,7 @@
 ;
 ; @file_comments
-; Add an axis when we do an oblique section in pltz, pltt
-; or plt1d
+; Add an axis when we do an oblique section in <pro>pltz</pro>, 
+; <pro>pltt</pro>
+; or <pro>plt1d</pro>
 ;
 ; @categories
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 237)
@@ -8,16 +8,17 @@
 ; Graphics
 ;
-; @param MIN {in}{required}
-; A reel number specifying above what value we want to trace a contour
+; @param MIN {in}{required} {type=float}
+; above what value we want to trace a contour
 ;
-; @param MAX {in}{required}
-; A reel number specifying below what value we want to trace a contour
+; @param MAX {in}{required} {type=float}
+; below what value we want to trace a contour
 ;
-; @param CI. {out}{type=real}
-; It is a reel number giving the contour interval. Use it in CONTOUR with the keyword LEVEL.
+; @param CI {out} {type=real}
+; the contour interval. Use it in <proidl>CONTOUR</proidl> with the 
+; keyword LEVEL.
 ;
 ; @restrictions
 ; CI is a multiple of the unity in unity log of 10.
-; It force the number of contour to be even.
+; It force the number of contours to be even.
 ;
 ; @history
@@ -31,10 +32,8 @@
 PRO autoscale, min, max, ci
 ;
-;  Estimation of a first CI, notice the presence of the floor (Inferior round)
-; This CI is a multiple of the unity in unity log of 10.
-;
-;
   compile_opt idl2, strictarrsubs
 ;
+; Estimation of a first CI, notice the presence of the floor (Inferior round)
+; This CI is a multiple of the unity in unity log of 10.
     ci = (max-min)/20.
     ci = 10.^floor(alog10(ci))
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 237)
@@ -5,5 +5,5 @@
 ;
 ; @param MASK {in}{required}
-;  3d mask
+; 3d mask
 ;
 ; @param GLAM {in}{required}
@@ -17,8 +17,8 @@
 ;
 ; @keyword XXAXIS
-; to get the xaxis we need to use in pltbase
+; to get the xaxis we need to use in <pro>pltbase</pro>
 ;
 ; @keyword ZZAXIS
-; to get the yaxis we need to use in pltbase
+; to get the yaxis we need to use in <pro>pltbase</pro>
 ;
 ; @keyword SIN
@@ -33,6 +33,5 @@
 ; Used to pass keywords
 ;
-;  Others: see pltz
-;
+; Others: see pltz
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 237)
@@ -9,25 +9,17 @@
 ; @param COLNUMB
 ;
-;
 ; @param CLBINF
-;
 ;
 ; @param CLBSUP
 ;
-;
 ; @param CLBDIV
-;
 ;
 ; @keyword NOCOLORBAR
 ;
-;
 ; @keyword CB_TITLE
-;
 ;
 ; @keyword NOFILL
 ;
-;
-; @keyword COLOR_c
-;
+; @keyword COLOR_C
 ;
 ; @keyword MIN
@@ -39,10 +31,7 @@
 ; @keyword DIVISIONS
 ;
-;
 ; @keyword CB_SUBTITLE
 ;
-;
 ; @keyword POST
-;
 ;
 ; @keyword _EXTRA
@@ -61,4 +50,5 @@
 ; @todo
 ; seb: mettre les keyword et les param
+;
 ;-
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 237)
@@ -29,4 +29,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
@@ -67,4 +68,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
@@ -160,5 +162,6 @@
 ; 6 elements: The extraction is made on Boxzoom
 ;
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword WDEPTH
@@ -166,5 +169,5 @@
 ; depth (automatically activated if vargrid eq 'W')
 ;
-; @keyword VECTEUR{type=vetcor}
+; @keyword VECTEUR{type=vector}
 ; It is a structure composed by 2 elements containing the 2 fields U
 ; and V of values of the zonal and meridian component of the vector of the fields
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 237)
@@ -3,6 +3,8 @@
 ; @file_comments
 ; allows to trace the independently from a graph
-; By default, trace a color bar of the same type than the one present in plt
-; and pltz. If max, min and divisions are not stipulated, then max=sup,min=inf
+; By default, trace a color bar of the same type than the one present in 
+; <pro>plt</pro>
+; and <pro>pltz</pro>.
+; If max, min and divisions are not stipulated, then max=sup,min=inf
 ; and divisions=div.
 ;
@@ -29,4 +31,8 @@
 ; @version
 ; $Id$
+;
+; @todo
+; reference to plein2dessin in restriction not understable :
+; plein2dessin does'nt exist.
 ;
 ;-
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 237)
@@ -8,5 +8,6 @@
 ;
 ; @param TYPEDESSIN {type=string}
-; It specify what procedure is called by PLACEDESSIN: 'plt', 'pltz' or 'pltt'
+; It specify what procedure is called by <pro>PLACEDESSIN</pro> : 
+; 'plt', 'pltz' or 'pltt'
 ;
 ; @keyword LANDSCAPE
@@ -22,8 +23,8 @@
 ;     /MAP: In this case, map is automatically calculated have the value:
 ;          map = [0, (lon1+lon2)/2., 0]
-; Comment: A good way to choose the type of the projection we want to do is to have a look at IDL demo:
+; Comment 1: A good way to choose the type of the projection we want to do is to have a look at IDL demo:
 ; IDL> demo
 ; Then choose earth sciences and  mapping.
-; Comment2: By default it is a cylindrical projection which is effectuated (with or without the keyword map).
+; Comment 2: By default it is a cylindrical projection which is effectuated (with or without the keyword map).
 ; If we want an other projection, MAP must be activated and we have to add the keyword: /nom_projection.
 ; For example, for a polar projection centered on the south pole:
@@ -34,5 +35,5 @@
 ; We active it if we do not want the colorbar.
 
-;; @keyword NOFILL
+; @keyword NOFILL
 ; We active it if we only want contours in black and white with a white background.
 ;
@@ -45,5 +46,5 @@
 ;     If there is 4 elements:
 ; then is constituted of coordinates (expressed in cm located from the up and
-; left corner of the page or the window (in portrait like in landscape)) of the bottom
+; left corner of the page or the window (in portrait like in landscape) of the bottom
 ; and left corner and of the up and right corner of the drawing zone.
 ;     If there is 3 elements:
@@ -59,5 +60,5 @@
 ; @keyword POST
 ; Make a postscript. Only works if we made one drawing on the page.
-; If we make several drawing, use \@ps.
+; If we make several drawing, use \@<pro>ps</pro>.
 ;
 ; @keyword REMPLI
@@ -74,5 +75,6 @@
 ; If we want to trace contours of a different field than the one
 ; whose we have the colored drawing (by example E-P in color and QSR in contours).
-; It must be a field respecting same characteristics than the argument number one of plt.
+; It must be a field respecting same characteristics than the argument number 
+; one of <pro>plt</pro>.
 ;
 ; @keyword ENDPOINTS
@@ -219,5 +221,5 @@
 ; For the using of \@ps,\@oups et de \@vzoom
       if lmgr(/demo) EQ 0 then BEGIN ; Are we in the demo mode??
-        if !journal NE 0 then journal ; We close te journal if it is open
+        if !journal NE 0 then journal ; We close the journal if it is open
         homedir = isadirectory(io = homedir, title = 'Bad definition of homedir')
         def_myuniquetmpdir
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 237)
@@ -9,5 +9,5 @@
 ;
 ; @param STRUCT {in}{required}
-; a structure like the one who read litchamp.
+; a structure like the one who read <pro>litchamp</pro>.
 ;        See IDL> xhelp,'litchamp'
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 237)
@@ -9,5 +9,5 @@
 ; @keyword POST
 ; Make a postscript. Only works if we made one drawing on the page.
-; If we make several drawing, use \@ps.
+; If we make several drawing, use \@<pro>ps</pro>.
 ;
 ; @keyword SMALL {type=vector}
Index: trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 237)
@@ -37,6 +37,7 @@
 ;
 ;       S. Masson (smasson\@lodyc.jussieu.fr) 4 Feb 2002
-;       search te file in the all !path directories (use find.pro)
-;       when using /find keyword. Use spawn, 'cat...' for unix os.
+;       search the file in the all !path directories (use <pro>find</pro>)
+;       when using /find keyword. Use <proidl>spawn</proidl>, 'cat...' for 
+;       unix os.
 ;
 ; Copyright (C) 1990, Johns Hopkins University/Applied Physics Laboratory
@@ -51,5 +52,5 @@
 ;-
 ;
-	function getfile, filein, error=err, help=hlp, quiet=quiet, lines=lines, find = find
+FUNCTION getfile, filein, error=err, help=hlp, quiet=quiet, lines=lines, find = find
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro	(revision 237)
@@ -80,5 +80,5 @@
     6:localbox = [boxzoom2d, boxzoom[4:5]]
     Else:BEGIN
-      print, report('Bad definition of the box')
+      ras = report('Bad definition of the box')
       stop
     END
Index: trunk/SRC/ToBeReviewed/UTILITAIRE/oups.pro
===================================================================
--- trunk/SRC/ToBeReviewed/UTILITAIRE/oups.pro	(revision 236)
+++ trunk/SRC/ToBeReviewed/UTILITAIRE/oups.pro	(revision 237)
@@ -11,9 +11,9 @@
 ;
 ; @restrictions 
-; compatible with \@ps \@vzoom text_box...
+; compatible with \@<pro>ps</pro> 
+; \@<pro>vzoom</pro> text_box...
 ;
 ; @history 
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;
 ;
 ; @version 
@@ -24,4 +24,5 @@
 ;
 ;-
+;
 ;------------------------------------------------------------
 ; Close the journal!
Index: trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- trunk/SRC/Utilities/isadirectory.pro	(revision 236)
+++ trunk/SRC/Utilities/isadirectory.pro	(revision 237)
@@ -11,5 +11,5 @@
 ; a proposed directory. If neither dirname
 ; input parameter of IODIRECTORY keyword are defined,
-; the ask the user to choose a directory.
+; we ask the user to choose a directory.
 ;
 ; @keyword IODIRECTORY
@@ -20,7 +20,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords
-;
-; all dialog_pickfile keywords (like filter) can be used.
+; Used to pass keywords to <proidl>dialog_pickfile</proidl>
 ;
 ; @returns
@@ -42,8 +40,8 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
 FUNCTION isadirectory, directoryin, TITLE = title, IODIRECTORY = iodirectory, _EXTRA = ex
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 236)
+++ trunk/SRC/Utilities/isafile.pro	(revision 237)
@@ -5,10 +5,10 @@
 ; isafile calls dialog_pickfile, to ask the user to select a file.
 ;
-; @categories 
+; @categories
 ; io
 ;
 ; @param FILEIN {in}{optional}
 ; a proposed name. If neither filein input parameter of filename keyword are
-; defined, the ask the user to choose a file.
+; defined, we ask the user to choose a file.
 ;
 ; @keyword FILENAME
@@ -36,7 +36,7 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords
-;
-; all find, file_search and dialog_pickfile keywords (like title) can be used
+; Used to pass keywords to <pro>find</pro>,
+; <proidl>file_search</proidl> and
+; <proidl>dialog_pickfile</proidl>
 ;
 ; @returns
@@ -64,4 +64,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
Index: trunk/SRC/buildinit.pro
===================================================================
--- trunk/SRC/buildinit.pro	(revision 236)
+++ trunk/SRC/buildinit.pro	(revision 237)
@@ -77,5 +77,5 @@
 ; slightly modified version of cw_field...
 ;
-FUNCTION cw_field2, Parent, COLUMN=Column, ROW=Row, $
+FUNCTION cw_field2, parent, COLUMN=column, ROW=row, $
     EVENT_FUNC = efun, $
     FLOATING=Float, INTEGER=Int, LONG=Long, STRING=String, $
@@ -122,5 +122,5 @@
     ;   Build Widget
 
-    Base    = WIDGET_BASE(Parent, ROW=Row, COLUMN=Column, UVALUE=UValue, $
+    Base    = WIDGET_BASE(parent, ROW=row, COLUMN=column, UVALUE=uvalue, $
             EVENT_FUNC='CW_FIELD_EVENT', $
             PRO_SET_VALUE='CW_FIELD_SET', $
